{% extends 'base.html.twig' %}

{% block body -%}
<main class='main-content bgc-grey-100'>
    <div id='mainContent'>
        <div class="row">
            <div class="col">
                <h1>Gestione IP e dispositivi</h1>
            </div>
            <div class="col">
                <div class="text-end">
                    <button id="btn-refresh" class="btn btn-info">
                        <i class="igroove-reload"></i>
                        Refresh Mikrotik
                    </button>
                </div>
            </div>
        </div>
    </div>
    <div class="table-responsive">
        <table class="table table-striped table-hover ">
            <thead>
            <tr>
                <th>Mac</th>
                <th>Dispositivo</th>
                <th>Lista</th>
                <th>IPs</th>
                <th>Bypass su hotspot</th>
                <th>Attivo</th>
                <th></th>
            </tr>
            </thead>
            <tbody>
            {% for entity in pagination %}
                <tr>
                    <td><a href="{{ path('device_edit', { 'id': entity.id }) }}">
                            <span class="icon-edit"></span> {{ entity.mac|upper }}</a></td>
                    <td>{{ entity.device }}</td>
                    <td>{{ entity.mikrotikList }}</td>
                    <td>{{ entity.ips|join(', ') }}</td>
                    {#<td>{% for k, ip as entity.ips %}{{ ip }}{% if k > 0 %},{% endif %}{% endfor %}</td>#}
                    <td>
                        <i class="{{ entity.bypassHotspot  ?  'fas fa-check' : 'fas fa-times' }}"></i>
                    </td>
                    <td>
                        <i class="{{ entity.toApprove ? 'fas fa-clock' : (entity.active  ?  'fas fa-check' : 'fas fa-times') }}"
                           title="{{ entity.toApprove ? 'Da approvare' : entity.active  ?  'Attivo' : 'Non attivo' }}"></i>
                    </td>
                    <td>
                        <a href="{{ path('device_edit', { 'id': entity.id }) }}" class="btn btn-primary btn-sm">
                            Modifica
                        </a>
                    </td>
                </tr>
            {% endfor %}
            </tbody>
        </table>
    </div>
        <div class="row">
            <div class="col-12 col-md-6 col-xl-4 mb-3 d-grid gap-2 d-xl-flex align-items-center justify-content-center justify-content-md-start order-0 align-items-md-start">
                <div class="navigation">
                {{ knp_pagination_render(pagination) }}
            </div>
            </div>
            <div class="col-12 col-xl-4 mb-2 d-grid gap-2 d-xl-flex align-items-center justify-content-xl-center order-2 order-xl-1 align-items-lg-start">
                <a class="btn btn-success" href="{{ path('device_new') }}">
                Aggiungi un nuovo dispositivo
            </a>
            </div>
            <div class="col-12 col-md-6 col-xl-4 mb-3 d-grid gap-2 d-xl-flex align-items-center justify-content-md-end order-1 order-xl-2 align-items-lg-start">
                <form class="form-search" action="{{ path('device') }}">
                <div class="d-grid gap-1 mb-1 d-xxl-flex justify-content-xxl-end flex-wrap">
                    <select style="width: inherit; display: inline;" id="mikrotikListId" name="mikrotikListId"
                            class="form-select order-1 order-md-0">
                        <option value="">Tutte le liste</option>
                        {% for entity in mikrotikLists %}
                            <option value="{{ entity.id }}"

                                    {{ ((filter.mikrotikListId is defined) and (entity.id==filter.mikrotikListId))?"selected" }}
                            >{{ entity.nome }}</option>
                        {% endfor %}
                    </select>

                    <div class="d-inline-flex gap-1 order-0 order-md-1">
                        <input type="text" style="width: inherit; display: inline;"
                               id="queryString" name="queryString" class="form-control flex-grow-1" placeholder="Cerca"
                               value="{{ (filter.queryString is defined)?filter.queryString|escape('html') }}">
                        <button class="btn btn-secondary" type="submit">
                            <i class="fa-solid fa-magnifying-glass"></i>
                        </button>
                    </div>
                </div>
                <div class="form-check mb-1 d-flex justify-content-start justify-content-md-end">
                    <input class="form-check-input" type="checkbox" id="onlyActive" name="onlyActive" {{ (filter.onlyActive is defined)?(filter.onlyActive?"checked") }}>
                    <label class="form-check-label ms-1" for="onlyActive">
                        Visualizza solo accessi attivi
                    </label>
                </div>
                <div class="form-check d-flex justify-content-start justify-content-md-end">
                    <input class="form-check-input" type="checkbox" id="onlyToApprove" name="onlyToApprove" {{ (filter.onlyToApprove is defined)?(filter.onlyToApprove?"checked") }}>
                    <label class="form-check-label ms-1" for="onlyToApprove">
                        Visualizza solo da approvare
                    </label>
                </div>
            </form>
            </div>
        </div>
</main>
{% endblock %}


{% block javascripts %}
    {{ parent() }}
    <script>
        $('#btn-refresh').click(function () {
            value = "<i class=\"fas fa-sync fa-spin\"></i> Refresh Mikrotik";
            $('#btn-refresh').html(value);
            $.ajax({
                url: "{{ path('mikrotik_refresh') }}"
            }).done(function () {
                value = "Refresh Mikrotik";
                $('#btn-refresh').html(value);
            });
        });
    </script>
{% endblock %}

